import{s as pl,n as fl,o as hl}from"../chunks/scheduler.b108d059.js";import{S as cl,i as vl,g as o,s as i,r as re,A as gl,h as a,f as l,c as s,j as dl,u as ue,x as r,k as ml,y as bl,a as n,v as de,d as me,t as pe,w as fe}from"../chunks/index.008de539.js";import{H as he,E as xl}from"../chunks/EditOnGithub.d1c48e3d.js";function Cl(bt){let u,ge,ce,be,d,xe,m,Ce,p,xt="<strong>Q: Can I submit a model that requires <code>trust_remote_code=True</code>?</strong>",Te,f,Ct="A: We only accept models that have been integrated into a stable version of the <code>transformers</code> library to ensure the safety and stability of code executed on our cluster.",ye,h,Tt="<strong>Q: Are models of type X supported?</strong>",He,c,yt="A: For now, submission is limited to models that are included in a stable version of the transformers library.",_e,v,Ht="<strong>Q: Can I evaluate my model with a chat template?</strong>",Me,g,_t="A: Sure! When submitting a model, you can choose whether to evaluate it using a chat template, which activates automatically for chat models.",Le,b,Mt="<strong>Q: How can I track the status of my model submission?</strong>",we,x,Lt='A: You can monitor your model’s status by checking the request file here (<a href="https://huggingface.co/datasets/open-llm-leaderboard/requests" rel="nofollow">https://huggingface.co/datasets/open-llm-leaderboard/requests</a>) or viewing the queues above the submit form.',$e,C,wt="<strong>Q: What happens if my model disappears from all queues?</strong>",Pe,T,$t='A: A model’s disappearance typically indicates a failure. You can find your model in requests dataset here (<a href="https://huggingface.co/datasets/open-llm-leaderboard/requests" rel="nofollow">https://huggingface.co/datasets/open-llm-leaderboard/requests</a>) and check its status.',Ae,y,Pt="<strong>Q: What causes an evaluation failure?</strong>",qe,H,At="A: Failures often stem from submission issues such as corrupted files or configuration errors. Please review the steps in About tab before submitting. Occasionally, failures are due to hardware or connectivity issues on our end.",ke,_,qt="<strong>Q: How do I report an evaluation failure?</strong>",Qe,M,kt='A: Please create an issue in the Community section (<a href="https://huggingface.co/spaces/open-llm-leaderboard/open_llm_leaderboard/discussions" rel="nofollow">https://huggingface.co/spaces/open-llm-leaderboard/open_llm_leaderboard/discussions</a>), linking your model’s request file for further investigation. If the error is on our side, we will relaunch your model promptly.',Ie,L,Qt="<em>Do not re-upload your model under a different name as it will not resolve the issue.</em>",ze,w,Fe,$,It="<strong>Q: What information is available about my model’s evaluation results?</strong>",Se,P,zt="A: For each model, you can access:",je,A,Ft="<li><strong>Request File</strong>: Status of the evaluation.</li> <li><strong>Contents Dataset:</strong> A full dataset that contains information about all evaluated models.</li> <li><strong>Details Dataset</strong>: Comprehensive breakdown of scores and task examples.</li>",We,q,St="<strong>Q: Why do some models appear multiple times in the leaderboard?</strong>",Ee,k,jt="A: Models may appear multiple times due to submissions under different commits or precision settings, like float16 and 4bit. You can check this by clicking on the <code>Model sha</code> and <code>Precision</code> buttons under “Select Columns to Display” section on the main page. For evaluation, precision helps to assess the impact of quantization.",De,Q,Wt="<em>Duplicates with identical precision and commit should be reported.</em>",Re,I,Et="<strong>Q: What is model flagging?</strong>",Ue,z,Dt="A: Flagging helps report models that have unfair performance on the leaderboard. For example,   models that were trained on the evaluation data, models that are copies of other models not attributed properly, etc.",Ge,F,Rt='<em>If your model is flagged incorrectly, you can open a discussion here (</em><a href="https://huggingface.co/spaces/open-llm-leaderboard/open_llm_leaderboard/discussions" rel="nofollow">https://huggingface.co/spaces/open-llm-leaderboard/open_llm_leaderboard/discussions</a><em>) and defend your case.</em>',Ne,S,Oe,j,Ut="<strong>Q: How do I search for models in the leaderboard?</strong>",Ye,W,Gt="A: Search by:",Ve,E,Nt="<li><strong>Single Name</strong>: <code>model_name</code></li> <li><strong>Multiple Names</strong>: Separate names with <code>;</code>, e.g., <code>model_name1;model_name2</code></li> <li><strong>License</strong>: Prefix with <code>Hub License:</code>, e.g., <code>Hub License: MIT</code></li> <li><strong>Combination</strong>: Any order of name and license, e.g., <code>model_name; Hub License: cc-by-sa-4.0</code>.</li>",Xe,D,Be,R,Ot="<strong>Q: How can I update or rename my submitted model?</strong>",Je,U,Yt='A: To update, open an issue with your model’s exact name for removal from the leaderboard before resubmitting with the new commit hash. For renaming, check <a href="https://huggingface.co/spaces/open-llm-leaderboard/open_llm_leaderboard/discussions/174" rel="nofollow">community resources</a> page and use @Weyaxi’s tool to request changes, then link the pull request in a discussion for approval.',Ke,G,Ze,N,Vt="<strong>Q: What does “Show only maintainer’s choice” button do?</strong>",et,O,Xt="A: This button in the ‘Hide models’ section filters and displays models from a curated list of trusted and high-quality model providers. We have introduced it to help users easily identify and choose top-tier models. The current set of trusted authors includes well-known names such as EleutherAI, CohereForAI, MistralAI and many others.",tt,Y,Bt="<strong>Q: How can I view raw scores for each evaluation?</strong>",lt,V,Jt="A: The Leaderboard displays normalized scores by default to provide a fair comparison. Normalization adjusts scores so that the lower bound corresponds to the score of a random baseline, ensuring a fairer average. To view the non-normalized values, use the “Raw” buttons in the “Select Column to Display” section.",nt,X,Kt="<strong>Q: How are model categories differentiated?</strong>",it,B,Zt="A: Categories are defined to reflect the specific training stages and methodologies applied to each model, ensuring comparisons are both fair and meaningful. Here’s a breakdown of each category:",st,J,el="<li><strong>Pretrained Models:</strong> These foundational models are initially trained on large datasets without task-specific tuning, serving as a versatile base for further development.</li> <li><strong>Continuously Pretrained Models:</strong> These undergo additional training beyond initial pretraining to enhance their capabilities, often using more specialized data.</li> <li><strong>Fine-Tuned Models:</strong> Specifically adjusted on targeted datasets, these models are optimized for particular tasks, improving performance in those areas.</li> <li><strong>IFT/RLHF/Chat Models:</strong> Tailored for interactive applications like chatbots, these models are trained with methods such as Instruction Fine Tuning or Reinforcement Learning from Human Feedback to handle conversational contexts effectively.</li> <li><strong>Merges and Moerges:</strong> Combining multiple models or methods, these can show superior test results but do not always apply for real-world situations.</li>",ot,K,tl="<strong>Q: What are the leaderboard’s intended uses?</strong>",at,Z,ll="A: The leaderboard is ideal for:",rt,ee,nl="<li>Viewing rankings and scores of open pretrained models.</li> <li>Experimenting with various fine-tuning and quantization techniques.</li> <li>Comparing the performance of specific models within their categories.</li>",ut,te,il="<strong>Q: Why don’t you have closed-source models?</strong>",dt,le,sl="A: The leaderboard focuses on open-source models to ensure transparency, reproducibility, and fairness. Closed-source models can change their APIs unpredictably, making it difficult to guarantee consistent and accurate scoring. Additionally, we rerun all evaluations on our cluster to maintain a uniform testing environment, which isn’t possible with closed-source models.",mt,ne,ol="<strong>Q: Issues accessing the leaderboard via the Gradio API?</strong>",pt,ie,al="A: We do not support access through Gradio API; however, community tools may offer alternatives.",ft,se,rl="<strong>Q: I have another problem, help!</strong>",ht,oe,ul="A: Please, open an issue in the discussion tab, and we’ll do our best to help you in a timely manner :",ct,ae,vt,ve,gt;return d=new he({props:{title:"FAQ",local:"faq",headingTag:"h1"}}),m=new he({props:{title:"Submissions",local:"submissions",headingTag:"h2"}}),w=new he({props:{title:"Results",local:"results",headingTag:"h2"}}),S=new he({props:{title:"Searching for a model",local:"searching-for-a-model",headingTag:"h2"}}),D=new he({props:{title:"Editing submissions",local:"editing-submissions",headingTag:"h2"}}),G=new he({props:{title:"Additional information",local:"additional-information",headingTag:"h2"}}),ae=new xl({props:{source:"https://github.com/huggingface/leaderboards/blob/main/docs/source/en/open_llm_leaderboard/faq.md"}}),{c(){u=o("meta"),ge=i(),ce=o("p"),be=i(),re(d.$$.fragment),xe=i(),re(m.$$.fragment),Ce=i(),p=o("p"),p.innerHTML=xt,Te=i(),f=o("p"),f.innerHTML=Ct,ye=i(),h=o("p"),h.innerHTML=Tt,He=i(),c=o("p"),c.textContent=yt,_e=i(),v=o("p"),v.innerHTML=Ht,Me=i(),g=o("p"),g.textContent=_t,Le=i(),b=o("p"),b.innerHTML=Mt,we=i(),x=o("p"),x.innerHTML=Lt,$e=i(),C=o("p"),C.innerHTML=wt,Pe=i(),T=o("p"),T.innerHTML=$t,Ae=i(),y=o("p"),y.innerHTML=Pt,qe=i(),H=o("p"),H.textContent=At,ke=i(),_=o("p"),_.innerHTML=qt,Qe=i(),M=o("p"),M.innerHTML=kt,Ie=i(),L=o("p"),L.innerHTML=Qt,ze=i(),re(w.$$.fragment),Fe=i(),$=o("p"),$.innerHTML=It,Se=i(),P=o("p"),P.textContent=zt,je=i(),A=o("ul"),A.innerHTML=Ft,We=i(),q=o("p"),q.innerHTML=St,Ee=i(),k=o("p"),k.innerHTML=jt,De=i(),Q=o("p"),Q.innerHTML=Wt,Re=i(),I=o("p"),I.innerHTML=Et,Ue=i(),z=o("p"),z.textContent=Dt,Ge=i(),F=o("p"),F.innerHTML=Rt,Ne=i(),re(S.$$.fragment),Oe=i(),j=o("p"),j.innerHTML=Ut,Ye=i(),W=o("p"),W.textContent=Gt,Ve=i(),E=o("ul"),E.innerHTML=Nt,Xe=i(),re(D.$$.fragment),Be=i(),R=o("p"),R.innerHTML=Ot,Je=i(),U=o("p"),U.innerHTML=Yt,Ke=i(),re(G.$$.fragment),Ze=i(),N=o("p"),N.innerHTML=Vt,et=i(),O=o("p"),O.textContent=Xt,tt=i(),Y=o("p"),Y.innerHTML=Bt,lt=i(),V=o("p"),V.textContent=Jt,nt=i(),X=o("p"),X.innerHTML=Kt,it=i(),B=o("p"),B.textContent=Zt,st=i(),J=o("ul"),J.innerHTML=el,ot=i(),K=o("p"),K.innerHTML=tl,at=i(),Z=o("p"),Z.textContent=ll,rt=i(),ee=o("ol"),ee.innerHTML=nl,ut=i(),te=o("p"),te.innerHTML=il,dt=i(),le=o("p"),le.textContent=sl,mt=i(),ne=o("p"),ne.innerHTML=ol,pt=i(),ie=o("p"),ie.textContent=al,ft=i(),se=o("p"),se.innerHTML=rl,ht=i(),oe=o("p"),oe.textContent=ul,ct=i(),re(ae.$$.fragment),vt=i(),ve=o("p"),this.h()},l(e){const t=gl("svelte-u9bgzb",document.head);u=a(t,"META",{name:!0,content:!0}),t.forEach(l),ge=s(e),ce=a(e,"P",{}),dl(ce).forEach(l),be=s(e),ue(d.$$.fragment,e),xe=s(e),ue(m.$$.fragment,e),Ce=s(e),p=a(e,"P",{"data-svelte-h":!0}),r(p)!=="svelte-8vjt8m"&&(p.innerHTML=xt),Te=s(e),f=a(e,"P",{"data-svelte-h":!0}),r(f)!=="svelte-lqc9j"&&(f.innerHTML=Ct),ye=s(e),h=a(e,"P",{"data-svelte-h":!0}),r(h)!=="svelte-toecm6"&&(h.innerHTML=Tt),He=s(e),c=a(e,"P",{"data-svelte-h":!0}),r(c)!=="svelte-ap5maa"&&(c.textContent=yt),_e=s(e),v=a(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-y3rdzt"&&(v.innerHTML=Ht),Me=s(e),g=a(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-4frlwd"&&(g.textContent=_t),Le=s(e),b=a(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-45y0tm"&&(b.innerHTML=Mt),we=s(e),x=a(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-dj5xd8"&&(x.innerHTML=Lt),$e=s(e),C=a(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-bojtuh"&&(C.innerHTML=wt),Pe=s(e),T=a(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-zdccyr"&&(T.innerHTML=$t),Ae=s(e),y=a(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-1two9zk"&&(y.innerHTML=Pt),qe=s(e),H=a(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-16bg3ve"&&(H.textContent=At),ke=s(e),_=a(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-z1xqok"&&(_.innerHTML=qt),Qe=s(e),M=a(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-wm49q"&&(M.innerHTML=kt),Ie=s(e),L=a(e,"P",{"data-svelte-h":!0}),r(L)!=="svelte-12erzsb"&&(L.innerHTML=Qt),ze=s(e),ue(w.$$.fragment,e),Fe=s(e),$=a(e,"P",{"data-svelte-h":!0}),r($)!=="svelte-11ozhpo"&&($.innerHTML=It),Se=s(e),P=a(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-1rup9i7"&&(P.textContent=zt),je=s(e),A=a(e,"UL",{"data-svelte-h":!0}),r(A)!=="svelte-5lmady"&&(A.innerHTML=Ft),We=s(e),q=a(e,"P",{"data-svelte-h":!0}),r(q)!=="svelte-g9guto"&&(q.innerHTML=St),Ee=s(e),k=a(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-f2ufxs"&&(k.innerHTML=jt),De=s(e),Q=a(e,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-1sn05lx"&&(Q.innerHTML=Wt),Re=s(e),I=a(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-1ofmxz"&&(I.innerHTML=Et),Ue=s(e),z=a(e,"P",{"data-svelte-h":!0}),r(z)!=="svelte-wiputg"&&(z.textContent=Dt),Ge=s(e),F=a(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-18tsa71"&&(F.innerHTML=Rt),Ne=s(e),ue(S.$$.fragment,e),Oe=s(e),j=a(e,"P",{"data-svelte-h":!0}),r(j)!=="svelte-q2tdkv"&&(j.innerHTML=Ut),Ye=s(e),W=a(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-bnm1m8"&&(W.textContent=Gt),Ve=s(e),E=a(e,"UL",{"data-svelte-h":!0}),r(E)!=="svelte-1axdgky"&&(E.innerHTML=Nt),Xe=s(e),ue(D.$$.fragment,e),Be=s(e),R=a(e,"P",{"data-svelte-h":!0}),r(R)!=="svelte-114ejqy"&&(R.innerHTML=Ot),Je=s(e),U=a(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-t629yq"&&(U.innerHTML=Yt),Ke=s(e),ue(G.$$.fragment,e),Ze=s(e),N=a(e,"P",{"data-svelte-h":!0}),r(N)!=="svelte-znfes6"&&(N.innerHTML=Vt),et=s(e),O=a(e,"P",{"data-svelte-h":!0}),r(O)!=="svelte-1qeqnkc"&&(O.textContent=Xt),tt=s(e),Y=a(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-12jgj5c"&&(Y.innerHTML=Bt),lt=s(e),V=a(e,"P",{"data-svelte-h":!0}),r(V)!=="svelte-179z7vs"&&(V.textContent=Jt),nt=s(e),X=a(e,"P",{"data-svelte-h":!0}),r(X)!=="svelte-1jmh1mq"&&(X.innerHTML=Kt),it=s(e),B=a(e,"P",{"data-svelte-h":!0}),r(B)!=="svelte-lqi3ur"&&(B.textContent=Zt),st=s(e),J=a(e,"UL",{"data-svelte-h":!0}),r(J)!=="svelte-npb8cv"&&(J.innerHTML=el),ot=s(e),K=a(e,"P",{"data-svelte-h":!0}),r(K)!=="svelte-1asjzfu"&&(K.innerHTML=tl),at=s(e),Z=a(e,"P",{"data-svelte-h":!0}),r(Z)!=="svelte-wrxbmx"&&(Z.textContent=ll),rt=s(e),ee=a(e,"OL",{"data-svelte-h":!0}),r(ee)!=="svelte-1e6856e"&&(ee.innerHTML=nl),ut=s(e),te=a(e,"P",{"data-svelte-h":!0}),r(te)!=="svelte-v19pds"&&(te.innerHTML=il),dt=s(e),le=a(e,"P",{"data-svelte-h":!0}),r(le)!=="svelte-1ouiqaj"&&(le.textContent=sl),mt=s(e),ne=a(e,"P",{"data-svelte-h":!0}),r(ne)!=="svelte-svmwbc"&&(ne.innerHTML=ol),pt=s(e),ie=a(e,"P",{"data-svelte-h":!0}),r(ie)!=="svelte-19g2yhp"&&(ie.textContent=al),ft=s(e),se=a(e,"P",{"data-svelte-h":!0}),r(se)!=="svelte-co8yh"&&(se.innerHTML=rl),ht=s(e),oe=a(e,"P",{"data-svelte-h":!0}),r(oe)!=="svelte-sga9kn"&&(oe.textContent=ul),ct=s(e),ue(ae.$$.fragment,e),vt=s(e),ve=a(e,"P",{}),dl(ve).forEach(l),this.h()},h(){ml(u,"name","hf:doc:metadata"),ml(u,"content",Tl)},m(e,t){bl(document.head,u),n(e,ge,t),n(e,ce,t),n(e,be,t),de(d,e,t),n(e,xe,t),de(m,e,t),n(e,Ce,t),n(e,p,t),n(e,Te,t),n(e,f,t),n(e,ye,t),n(e,h,t),n(e,He,t),n(e,c,t),n(e,_e,t),n(e,v,t),n(e,Me,t),n(e,g,t),n(e,Le,t),n(e,b,t),n(e,we,t),n(e,x,t),n(e,$e,t),n(e,C,t),n(e,Pe,t),n(e,T,t),n(e,Ae,t),n(e,y,t),n(e,qe,t),n(e,H,t),n(e,ke,t),n(e,_,t),n(e,Qe,t),n(e,M,t),n(e,Ie,t),n(e,L,t),n(e,ze,t),de(w,e,t),n(e,Fe,t),n(e,$,t),n(e,Se,t),n(e,P,t),n(e,je,t),n(e,A,t),n(e,We,t),n(e,q,t),n(e,Ee,t),n(e,k,t),n(e,De,t),n(e,Q,t),n(e,Re,t),n(e,I,t),n(e,Ue,t),n(e,z,t),n(e,Ge,t),n(e,F,t),n(e,Ne,t),de(S,e,t),n(e,Oe,t),n(e,j,t),n(e,Ye,t),n(e,W,t),n(e,Ve,t),n(e,E,t),n(e,Xe,t),de(D,e,t),n(e,Be,t),n(e,R,t),n(e,Je,t),n(e,U,t),n(e,Ke,t),de(G,e,t),n(e,Ze,t),n(e,N,t),n(e,et,t),n(e,O,t),n(e,tt,t),n(e,Y,t),n(e,lt,t),n(e,V,t),n(e,nt,t),n(e,X,t),n(e,it,t),n(e,B,t),n(e,st,t),n(e,J,t),n(e,ot,t),n(e,K,t),n(e,at,t),n(e,Z,t),n(e,rt,t),n(e,ee,t),n(e,ut,t),n(e,te,t),n(e,dt,t),n(e,le,t),n(e,mt,t),n(e,ne,t),n(e,pt,t),n(e,ie,t),n(e,ft,t),n(e,se,t),n(e,ht,t),n(e,oe,t),n(e,ct,t),de(ae,e,t),n(e,vt,t),n(e,ve,t),gt=!0},p:fl,i(e){gt||(me(d.$$.fragment,e),me(m.$$.fragment,e),me(w.$$.fragment,e),me(S.$$.fragment,e),me(D.$$.fragment,e),me(G.$$.fragment,e),me(ae.$$.fragment,e),gt=!0)},o(e){pe(d.$$.fragment,e),pe(m.$$.fragment,e),pe(w.$$.fragment,e),pe(S.$$.fragment,e),pe(D.$$.fragment,e),pe(G.$$.fragment,e),pe(ae.$$.fragment,e),gt=!1},d(e){e&&(l(ge),l(ce),l(be),l(xe),l(Ce),l(p),l(Te),l(f),l(ye),l(h),l(He),l(c),l(_e),l(v),l(Me),l(g),l(Le),l(b),l(we),l(x),l($e),l(C),l(Pe),l(T),l(Ae),l(y),l(qe),l(H),l(ke),l(_),l(Qe),l(M),l(Ie),l(L),l(ze),l(Fe),l($),l(Se),l(P),l(je),l(A),l(We),l(q),l(Ee),l(k),l(De),l(Q),l(Re),l(I),l(Ue),l(z),l(Ge),l(F),l(Ne),l(Oe),l(j),l(Ye),l(W),l(Ve),l(E),l(Xe),l(Be),l(R),l(Je),l(U),l(Ke),l(Ze),l(N),l(et),l(O),l(tt),l(Y),l(lt),l(V),l(nt),l(X),l(it),l(B),l(st),l(J),l(ot),l(K),l(at),l(Z),l(rt),l(ee),l(ut),l(te),l(dt),l(le),l(mt),l(ne),l(pt),l(ie),l(ft),l(se),l(ht),l(oe),l(ct),l(vt),l(ve)),l(u),fe(d,e),fe(m,e),fe(w,e),fe(S,e),fe(D,e),fe(G,e),fe(ae,e)}}}const Tl='{"title":"FAQ","local":"faq","sections":[{"title":"Submissions","local":"submissions","sections":[],"depth":2},{"title":"Results","local":"results","sections":[],"depth":2},{"title":"Searching for a model","local":"searching-for-a-model","sections":[],"depth":2},{"title":"Editing submissions","local":"editing-submissions","sections":[],"depth":2},{"title":"Additional information","local":"additional-information","sections":[],"depth":2}],"depth":1}';function yl(bt){return hl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ll extends cl{constructor(u){super(),vl(this,u,yl,Cl,pl,{})}}export{Ll as component};
